<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="generator" content="GitLab Pages">
  <title>Plain HTML site using GitLab Pages</title>
  <style>
    article {
      display:block;
      width:400px;
      margin:20px auto;
      border:2px solid silver;
      border-radius: 5px;
      background-color: #ceddef;
    }

    .pad>div {
      display:flex;
    }
    .box {
      flex-grow: 1;
      text-align: center;
      padding:10px;
      margin:5px;
      border: 1px solid white;
    }

    .box:hover {
      background-color: white;
      cursor:pointer;
    }
    .display {
      display:flex;
    }
    .display input {
      flex-grow: 1;
      margin:10px;
      padding:5px;
    }

    #chk {
      padding:10px;
      border:1px solid black;
      width: 400px;
      margin:10px auto;
    }
  </style>
</head>

<body>

  <h1>Hex editor</h1>

  <main>
    <article>
      <section class="display">
        <input name="dsp" type="text" readonly />
      </section>
      <section class="pad">
        <div>
          <div class="box" onclick="cancella(0)">CANC</div>
          <div class="box" onclick="azione(this)">0</div>
          <div class="box" onclick="cancella(1)">DEL</div>
        </div>
        <div>
          <div class="box" onclick="azione(this)">1</div>
          <div class="box" onclick="azione(this)">2</div>
          <div class="box" onclick="azione(this)">3</div>
        </div>
        <div>
          <div class="box" onclick="azione(this)">4</div>
          <div class="box" onclick="azione(this)">5</div>
          <div class="box" onclick="azione(this)">6</div>
        </div>
        <div>
          <div class="box" onclick="azione(this)">7</div>
          <div class="box" onclick="azione(this)">8</div>
          <div class="box" onclick="azione(this)">9</div>
        </div>
        <div>
          <div class="box" onclick="azione(this)">A</div>
          <div class="box" onclick="azione(this)">B</div>
          <div class="box" onclick="azione(this)">C</div>
        </div>
        <div>
          <div class="box" onclick="azione(this)">D</div>
          <div class="box" onclick="azione(this)">E</div>
          <div class="box" onclick="azione(this)">F</div>
        </div>
        <div>

      </section>
    </article>

    <div id="chk"></div>
  </main>
  <script>
    let dsp = document.querySelector("[name='dsp']");
    let chk = document.getElementById("chk");
    function azione(t) {
      let c = t.innerHTML;
      setDsp(dsp.value + c);
    }
    function cancella(b) {
      if (b) {
        setDsp(dsp.value.substr(0, dsp.value.length -1));
      } else {
        setDsp(dsp.value.substr(1));
      }
    }
    function setDsp(v) {
      if (v.length>8) return;
      dsp.value = v;
      chk.style.backgroundColor = "#"+v;
    }
  </script>
</body>

</html>